__gnu_pbds::detail::pat_trie_base::_Node_base< _ATraits, Metadata >(3cxx)

NAME
__gnu_pbds::detail::pat_trie_base::_Node_base< _ATraits, Metadata > - Node base.

SYNOPSIS

#include <pat_trie_base.hpp>

Inherits Metadata.

Inherited by __gnu_pbds::detail::pat_trie_base::_Head< _ATraits, Metadata >, __gnu_pbds::detail::pat_trie_base::_Inode< _ATraits, Metadata >, and __gnu_pbds::detail::pat_trie_base::_Leaf< _ATraits, Metadata >.

  Public Types

typedef _ATraits::const_iterator a_const_iterator
typedef detail::rebind_traits< _Alloc, _ATraits >::const_pointer a_const_pointer
typedef _ATraits access_traits
typedef _Alloc allocator_type
typedef detail::rebind_traits< _Alloc, _Node_base >::pointer node_pointer
typedef _ATraits::type_traits type_traits

  Public Member Functions

_Node_base (node_type type)

  Public Attributes

node_pointer m_p_parent
const node_type m_type

Detailed Description

  template<typename _ATraits, typename Metadata>
struct __gnu_pbds::detail::pat_trie_base::_Node_base< _ATraits, Metadata >"Node base.

Author

Generated automatically by Doxygen for libstdc++ from the source code.